Highlighted
acraiger
1 Nickel

The client does not have the required plugin for granular restore

Attempting to get GLR to work with Exchange 2010 DAG.

The Dag has 2 mailbox servers.

The mail box servers are at Exchange Sp2.

The windows OS is 2008 R2, Sp1.

I've installed the backup agent and the EMC GLR plugins

We are using Avamar 6.1

I've made sure the these services are running as the Avamar backup account I created.

I've gone throught the install manual several to verify the permissions are all correct.

When I attempt to perform a GLR restore I get this error.

GLRPluginError.JPG

Just a little stumped as to why I keep getting this error.

Any help or suggestions would be greatly appreciated.

0 Kudos
9 Replies
8 Krypton

Re: The client does not have the required plugin for granular restore

Hi,

did you install all 3 needed plugins,  the Windows Clients plugin, the Exchange VSS plugin and the GLR plugin?

If yes, have you installed all of them as adminstrator?

Have you installed MAPI client libraries and CDO 1.2.1 on the Exchange Servers? You have to install these before creating the Avamar Backup User.

When you run the Avamar Backup USer Config tool again with the check option, what is the Output there?


langster07
1 Nickel

Re: The client does not have the required plugin for granular restore

Also have you setup the GLR in a dataset in the backups groups? If not you dont actually have a GLR backup to restore from.

0 Kudos
acraiger
1 Nickel

Re: The client does not have the required plugin for granular restore

I was checking yesterday and could not find any setting for GLR in the dataset groups.

0 Kudos
Paul_K
6 Indium

Re: The client does not have the required plugin for granular restore

After clicking the "Browse for Granular Restore" button you're prompted for the restore location.  Change that from the dag client to one of your Exchange servers.  You should get a the browse listing like normal after that.

0 Kudos
langster07
1 Nickel

Re: The client does not have the required plugin for granular restore

There is a "GLR All Exchange data" that you have to use in order to get the GLR function in the backup. If you Select Plug-In types its one of the plugins in the exchange group of plug ins

0 Kudos
acraiger
1 Nickel

Re: The client does not have the required plugin for granular restore


I did try changing the dag client to an exchange server.  It acts like it is going to work, and finds the database.  When I click on the database it says it  "retrieving contents of backup at path", then it fails with "Failed to Mount database.   Please check exchange glr logs for more details".

0 Kudos
acraiger
1 Nickel

Re: The client does not have the required plugin for granular restore

This plugin is greyed out when selecting plugins, and I am unable to select the plugin "Windows Exchange GLR", maybe this changed in 6.1

0 Kudos
8 Krypton

Re: The client does not have the required plugin for granular restore

The Exchange GLR plugin is greyed out for backup operations because it is a restore-only plug-in. The Exchange GLR plugin is used to perform granular restores of backups created with the Exchange VSS plugin.

0 Kudos
acraiger
1 Nickel

Re: The client does not have the required plugin for granular restore

I actually openned a ticket with EMC, and ran the config tool again, and we did find some errors.

I had to enable Windows authentication in IIS for the Powershell.  I am now able to get a little further when selecting GLR backups, and browse and select a mailbox server.  I can browse the database, and select emails to restore.  But then it fails to perform the restore.  The EMC tech thinks there is a problem with the plugin, and is going to research and call me back as he has never seen this before.

0 Kudos